ClarisWksTableInternal::Table Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | Friends | List of all members
ClarisWksTableInternal::Table Struct Reference

the struct which stores the Table More...

Inheritance diagram for ClarisWksTableInternal::Table:

## Public Member Functions
| Table (ClarisWksStruct::DSET const &dset, ClarisWksTable &parser, ClarisWksStyleManager &styleManager)
| constructor More...
virtual | ~Table ()
| destructor More...
TableCell * | get (int id)
| return a cell corresponding to id More...
virtual void | removeChild (int cId, bool normalChild)
| remove a child from a list. More...
void | updateCells ()
| finish updating all cells More...
bool | askMainToSendZone (int number)
| ask the main parser to send a zone More...
Public Member Functions inherited from ClarisWksStruct::DSET
| DSET ()
| constructor More...
virtual | ~DSET ()
| virtual destructor More...
bool | isHeaderFooter () const
| test if the zone is an header/footer More...
bool | isSlide () const
| test if the zone is a slide More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
int | getMaximumPage () const
| returns the maximum page More...
virtual void | removeChild (int cId)
| virtual function to remove a child from a list More...
void | updateChildPositions (MWAWVec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box More...
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, std::set< int > &forbiddenPageBreak) const
| find forbidden page break More...
MWAWBox2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box) More...
Public Member Functions inherited from MWAWTable
| MWAWTable (uint32_t givenData=BoxBit)
| the constructor More...
virtual | ~MWAWTable ()
| the destructor More...
void | add (shared_ptr< MWAWCell > cell)
| add a new cells More...
bool | mergeBorders () const
| returns true if we need to merge borders More...
bool | setMergeBorders (bool val)
| sets the merge borders' value More...
void | setAlignment (Alignment align, float leftMargin=0, float rightMargin=0)
| defines the current alignment More...
int | numCells () const
| returns the number of cell More...
std::vector< float > const & | getRowsSize () const
| returns the row size if defined (in point) More...
void | setRowsSize (std::vector< float > const &rSize)
| define the row size (in point) More...
std::vector< float > const & | getColsSize () const
| returns the columns size if defined (in point) More...
void | setColsSize (std::vector< float > const &cSize)
| define the columns size (in point) More...
shared_ptr< MWAWCell > | get (int id)
| returns the i^th cell More...
bool | updateTable ()
| try to build the table structures More...
bool | hasExtraLines ()
| returns true if the table has extralines More...
bool | sendTable (MWAWListenerPtr listener, bool inFrame=true)
| try to send the table More...
bool | sendAsText (MWAWListenerPtr listener)
| try to send the table as basic text More...
void | addTablePropertiesTo (librevenge::RVNGPropertyList &propList) const
| adds the table properties to propList More...

## Public Attributes
ClarisWksTable * | m_parser
| the main parser More...
ClarisWksStyleManager * | m_styleManager
| the style manager More...
std::vector< Border > | m_bordersList
| the list of border More...
long | m_mainPtr
| the relative main pointer More...
bool | m_auxiliaryDetached
| true if the auxiliary zone is detached More...
Public Attributes inherited from ClarisWksStruct::DSET
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Position | m_position
| the zone type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_page
| the page (if known) More...
MWAWBox2f | m_box
| the bounding box (if known) More...
MWAWVec2f | m_pageDimension
| the page dimension (if know) More...
int | m_id
| the zone identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Private Member Functions
| Table (Table const &orig)
Table & | operator= (Table const &orig)

## Friends
struct | TableCell
std::ostream & | operator<< (std::ostream &o, Table const &doc)
| operator<< More...

## Additional Inherited Members
Public Types inherited from ClarisWksStruct::DSET
enum | Position { P_Main =0, P_Header, P_Footer, P_Frame, P_Footnote, P_Table, P_GraphicMaster, P_Slide, P_SlideNote, P_SlideThumbnail, P_SlideMaster, P_Unknown }
| the zone position More...
enum | ChildType { C_Zone, C_SubText, C_Graphic, C_Unknown }
| the different types of zone child More...
Public Types inherited from MWAWTable
enum | DataSet { CellPositionBit =1, BoxBit =2, SizeBit =4, TableDimBit =8, TablePosToCellBit =0x10 }
| an enum used to indicate what the list of entries which are filled More...
enum | Alignment { Paragraph, Left, Center, Right }
| an enum do define the table alignment. More...
Protected Member Functions inherited from MWAWTable
int | getCellIdPos (int col, int row) const
| convert a cell position in a posToCellId's position More...
bool | buildStructures ()
| create the correspondance list, ... More...
bool | buildDims ()
| compute the rows and the cells size More...
bool | buildPosToCellId ()
| a function which fills to posToCellId vector using the cell position More...
void | sendExtraLines (MWAWListenerPtr listener) const
| send extra line More...
Protected Attributes inherited from MWAWTable
uint32_t | m_givenData
| a int to indicate what data are given in entries More...
uint32_t | m_setData
| a int to indicate what data are been reconstruct More...
bool | m_mergeBorders
| do we need to merge cell borders ( default yes) More...
std::vector< shared_ptr< MWAWCell > > | m_cellsList
| the list of cells More...
size_t | m_numRows
| the number of rows ( set by buildPosToCellId ) More...
size_t | m_numCols
| the number of cols ( set by buildPosToCellId ) More...
std::vector< float > | m_rowsSize
| the final row size (in point) More...
std::vector< float > | m_colsSize
| the final col size (in point) More...
Alignment | m_alignment
| the table alignment More...
float | m_leftMargin
| the left margin in point More...
float | m_rightMargin
| the right margin in point More...
std::vector< int > | m_posToCellId
| a vector used to store an id corresponding to each cell More...
bool | m_hasExtraLines
| true if we need to send extra lines More...

## Detailed Description

the struct which stores the Table

## Constructor & Destructor Documentation

ClarisWksTableInternal::Table::Table | ( | ClarisWksStruct::DSET const & | dset,
|  | ClarisWksTable & | parser,
|  | ClarisWksStyleManager & | styleManager
| ) |  |
| inline

constructor

ClarisWksTableInternal::Table::~Table | ( |  | ) |
| virtual

destructor

ClarisWksTableInternal::Table::Table | ( | Table const & | orig | ) |
| private

## Member Function Documentation

bool ClarisWksTableInternal::Table::askMainToSendZone | ( | int | number | ) |
| inline

ask the main parser to send a zone

TableCell* ClarisWksTableInternal::Table::get | ( | int | id | ) |
| inline

return a cell corresponding to id

Referenced by ClarisWksTable::readTableBordersId().

Table& ClarisWksTableInternal::Table::operator= | ( | Table const & | orig | ) |
| private

virtual void ClarisWksTableInternal::Table::removeChild | ( | int | cId,
|  | bool | normalChild
| ) |  |
| inlinevirtual

remove a child from a list.

Normally, this function is not called, so optimizing it is not usefull

Reimplemented from ClarisWksStruct::DSET.

void ClarisWksTableInternal::Table::updateCells | ( |  | ) |
| inline

finish updating all cells

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Table const & | doc
| ) |  |
| friend

operator<<

friend struct TableCell
| friend

## Member Data Documentation

bool ClarisWksTableInternal::Table::m_auxiliaryDetached

true if the auxiliary zone is detached

std::vector<Border> ClarisWksTableInternal::Table::m_bordersList

the list of border

Referenced by ClarisWksTable::readTableBorders(), ClarisWksTable::readTableBordersId(), and ClarisWksTableInternal::TableCell::update().

long ClarisWksTableInternal::Table::m_mainPtr

the relative main pointer

Referenced by ClarisWksTable::readTablePointers().

ClarisWksTable* ClarisWksTableInternal::Table::m_parser

the main parser

ClarisWksStyleManager* ClarisWksTableInternal::Table::m_styleManager

the style manager

Referenced by ClarisWksTableInternal::TableCell::update().

The documentation for this struct was generated from the following file:

- ClarisWksTable.cxx